
QGIS Application - Bug report #17045

QGIS Desktop Application Closes When Using Identify Tool on a Temporary Layer

2017-08-22 09:57 AM - Brent Fallarcuna

Status: Closed

Priority: High

Assignee:

Category: Map Tools

Affected QGIS version:2.18.12 Regression?: No

Operating System: Linux Mint 17.3 Rosa 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24944

Description

I am trying to identify a feature temporarily stored in "/tmp/tmpCOGrxI_multipolygons_quickosm.shp" directory. (These set of features

were downloaded using Quick OSM Plugin).

Whenever I used the identify tool on the said feature, QGIS unexpectedly closes.

My version of QGIS is 2.18.12

History

#1 - 2017-08-22 10:12 AM - Giovanni Manghi

- Category changed from Actions to Map Tools

- Priority changed from Normal to High

- Affected QGIS version changed from master to 2.18.11

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2017-08-22 10:13 AM - Giovanni Manghi

- Affected QGIS version changed from 2.18.11 to 2.18.12

#3 - 2017-08-22 10:14 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,

please launch QGIS from a terminal, then after it crashes copy the messages will show there and paste them here. Thanks!

#4 - 2017-08-22 11:03 AM - Brent Fallarcuna

- Assignee set to Giovanni Manghi

Hello Giovanni,

Here is the output from the terminal after crashing:

"Segmentation fault"

#5 - 2017-08-22 11:30 AM - Giovanni Manghi
Brent Fallarcuna wrote:

Hello Giovanni,

Here is the output from the terminal after crashing:

"Segmentation fault"

I tried on the same platform and qgis version as also on Windows and cannot replicate.

Please try removing any other 3rd party plugin then restart qgis. You may want also to (backup and) delete the .qgis2 folder, reinstall quick osm and try

again.

cheers

#6 - 2017-08-23 09:27 AM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

#7 - 2017-09-25 03:31 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closed for lack of feedback, please reopen if necessary.
